<template>
  <q-card>
    <q-card-section class="bg-primary">
      <div class="text-h7 text-bold text-white">
        {{ title }}
      </div>
    </q-card-section>

    <q-separator/>

    <q-card-section>
      {{ caption }}
    </q-card-section>

    <template v-if="since > -1">
      <q-separator/>

      <q-card-section>
        {{ sinceDate }}
      </q-card-section>
    </template>
  </q-card>
</template>

<script>
import moment from 'moment'

export default {
  name: 'DashCard',
  props: {
    title: {
      type: String,
      required: true
    },

    caption: {
      type: String,
      default: ''
    },

    icon: {
      type: String,
      default: ''
    },

    since: {
      type: Number,
      default: -1
    }
  },
  computed: {
    sinceDate () {
      return moment(this.since).calendar()
    }
  }
}
</script>
